Bug 1969681 - MCO: maxUnavailable of ds/machine-config-daemon does not get updated due to missing resourcemerge check
Summary: MCO: maxUnavailable of ds/machine-config-daemon does not get updated due to m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: John Kyros
QA Contact: Micah Abbott
URL:
Whiteboard:
Depends On:
Blocks: 1970166
TreeView+ depends on / blocked
 
Reported: 2021-06-09 00:49 UTC by Yu Qi Zhang
Modified: 2021-07-27 23:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:12:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2601 0 None open Bug 1969681: maxUnavailable of ds/machine-config-daemon isn't changed even after Bug 1899535 was fixed 2021-06-09 00:51:36 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:29 UTC

Description Yu Qi Zhang 2021-06-09 00:49:43 UTC
Bug 1899535 was fixed for accelerating OpenShift upgrade with a lot of nodes.
However, the fix has an effect only with a fresh cluster. Existing clusters
upgrading does not resync updateStrategy.

Comment 3 Micah Abbott 2021-06-12 03:00:14 UTC
Verified with 4.8.0-fc.9

Per reproduction steps in PR#2601 (thanks @jkyros!), upgrade from 4.5 -> 4.8 and check the `maxUnavailable` value of the `machine-config-daemon` DaemonSet:


- Installed 4.5.40

```
$ oc get co/machine-config
NAME             VERSION   AVAILABLE   PROGRESSING   DEGRADED   SINCE
machine-config   4.5.40    True        False         False      62m
$ oc get -n openshift-machine-config-operator ds/machine-config-daemon -o json | jq .spec.updateStrategy
{
  "rollingUpdate": {
    "maxUnavailable": 1
  },
  "type": "RollingUpdate"
}
```
- Upgraded to 4.6.32

```
$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.32    True        False         72s     Cluster version is 4.6.32
$ oc get -n openshift-machine-config-operator ds/machine-config-daemon -o json | jq .spec.updateStrategy
{
  "rollingUpdate": {
    "maxUnavailable": 1
  },
  "type": "RollingUpdate"
}
```

- Upgraded to 4.7.16

$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.16    True        False         3h46m   Cluster version is 4.7.16
[miabbott@toolbox (container) ~/openshift-cluster-installs/4.5.40 ]$ oc get -n openshift-machine-config-operator ds/machine-config-daemon -o json | jq .spec.updateStrategy
{
  "rollingUpdate": {
    "maxUnavailable": 1
  },
  "type": "RollingUpdate"
}

- Upgraded to 4.8.0-fc.9

```
$ oc get clusterversion
NAME      VERSION      AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-fc.9   True        False         110s    Cluster version is 4.8.0-fc.9
$ oc get -n openshift-machine-config-operator ds/machine-config-daemon -o json | jq .spec.updateStrategy
{
  "rollingUpdate": {
    "maxSurge": 0,
    "maxUnavailable": "10%"
  },
  "type": "RollingUpdate"
}
```

Comment 6 errata-xmlrpc 2021-07-27 23:12:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.